Page MenuHomePhabricator

Cannot create a user with no name, no ID, and no actor ID
Closed, ResolvedPublic

Description

2018-03-15 23:32:52 [WqsCpApAAD0AAI4@S7sAAABD] mw1266 kowikisource 1.31.0-wmf.25 exception ERROR: [WqsCpApAAD0AAI4@S7sAAABD] /wiki/%EC%82%AC%EC%9A%A9%EC%9E%90:212.112.242.159   InvalidArgumentException from line 686 of /srv/mediawiki/php-1.31.0-wmf.25/includes/user/User.php: Cannot create a user with no name, no ID, and no actor ID {"exception_id":"WqsCpApAAD0AAI4@S7sAAABD","exception_url":"/wiki/%EC%82%AC%EC%9A%A9%EC%9E%90:212.112.242.159","caught_by":"mwe_handler"}
[Exception InvalidArgumentException] (/srv/mediawiki/php-1.31.0-wmf.25/includes/user/User.php:686) Cannot create a user with no name, no ID, and no actor ID
  #0 /srv/mediawiki/php-1.31.0-wmf.25/includes/Block.php(462): User::newFromAnyId(string, string, NULL)
  #1 /srv/mediawiki/php-1.31.0-wmf.25/includes/Block.php(492): Block->initFromRow(stdClass)
  #2 /srv/mediawiki/php-1.31.0-wmf.25/includes/Block.php(362): Block::newFromRow(stdClass)
  #3 /srv/mediawiki/php-1.31.0-wmf.25/includes/Block.php(1195): Block->newLoad(string)
  #4 /srv/mediawiki/php-1.31.0-wmf.25/includes/page/Article.php(759): Block::newFromTarget(NULL, string)
  #5 /srv/mediawiki/php-1.31.0-wmf.25/includes/page/Article.php(658): Article->getRobotPolicy(string, ParserOutput)
  #6 /srv/mediawiki/php-1.31.0-wmf.25/includes/actions/ViewAction.php(68): Article->view()
  #7 /srv/mediawiki/php-1.31.0-wmf.25/includes/MediaWiki.php(500): ViewAction->show()
  #8 /srv/mediawiki/php-1.31.0-wmf.25/includes/MediaWiki.php(294): MediaWiki->performAction(Article, Title)
  #9 /srv/mediawiki/php-1.31.0-wmf.25/includes/MediaWiki.php(861): MediaWiki->performRequest()
  #10 /srv/mediawiki/php-1.31.0-wmf.25/includes/MediaWiki.php(524): MediaWiki->main()
  #11 /srv/mediawiki/php-1.31.0-wmf.25/index.php(42): MediaWiki->run()
  #12 /srv/mediawiki/w/index.php(3): include(string)
  #13 {main}

https://ko.wikisource.org/wiki/%EC%82%AC%EC%9A%A9%EC%9E%90:212.112.242.159
https://ln.wikipedia.org/wiki/Sp%C3%A9cial:Contributions/69.231.143.133
https://ak.wikibooks.org/wiki/Soronko:Contributions/69.231.143.133

Event Timeline

Reedy created this task.Mar 15 2018, 11:33 PM
Restricted Application added subscribers: revi, Aklapper. · View Herald TranscriptMar 15 2018, 11:33 PM
Reedy triaged this task as High priority.Mar 15 2018, 11:49 PM
Reedy updated the task description. (Show Details)Mar 15 2018, 11:53 PM
Anomie added a subscriber: brion.Mar 16 2018, 1:37 PM
wikiadmin@db1077(akwikibooks)>select ipb_by, ipb_by_text, ipb_timestamp, ipb_reason from ipblocks where ipb_address='69.231.143.133';
+--------+-------------+----------------+-----------------------------------------------------------+
| ipb_by | ipb_by_text | ipb_timestamp  | ipb_reason                                                |
+--------+-------------+----------------+-----------------------------------------------------------+
|      0 |             | 20051005062109 | Auto-added for persistent vandalism; possible open proxy. |
+--------+-------------+----------------+-----------------------------------------------------------+

The other two are similar: blocks with no blocker set, same reason, and all from 2005.

Across all wikis I see 71205 blocks with ipb_by = 0 and ipb_by_text as the empty string, all with this reason and all between 2005-05-25T23:26:40Z and 2006-02-27T11:45:52Z.

Based on T7688: Untraceable block on meta, these seem to have been @brion manually adding blocks to the database, so I think we can safely clean them up in a similar manual manner. The only question is which user to assign them to.

  • Since Brion made the blocks, we could go ahead and assign them to [[User:Brion VIBBER]].
  • Or we could use the user defined by [[MediaWiki:proxyblocker]] on each wiki.
  • Or we could create some other system user.
  • Or we could guess that "open proxy" blocks from over 12 years ago probably aren't relevant anymore and just mass-unblock them. Wikis are free to reblock if necessary.

Anyone want to make the choice?

After talking with Tim, let's go with option 4: deleting them as probably not relevant anymore.

I've put the list in a paste so communities can review them for re-blocking if they want to. I also note that 890 of the blocks didn't even have an IP specified, probably some sort of bug in Brion's original insertions.

112.29.39.195
224.253.140.156
361.48.105.65
462.132.1.118
562.197.40.155
662.253.96.40
763.19.151.113
863.70.62.82
963.150.90.194
1064.34.161.110
1164.74.207.33
1264.125.172.134
1364.230.18.79
1464.246.50.101
1566.36.229.204
1666.93.170.242
1766.98.198.60
1866.111.43.137
1966.119.34.57
2066.199.248.26
2166.235.184.242
2267.18.96.210
2367.19.70.180
2468.32.224.128
2569.13.252.34
2669.25.60.210
2769.61.21.50
2869.90.135.67
2969.231.143.133
3070.85.114.26
3170.179.160.19
3272.20.3.58
3380.190.250.139
3480.237.206.93
3581.9.19.22
3681.30.210.182
3781.169.174.240
3881.169.180.180
3982.77.137.102
4082.94.251.206
4183.92.133.19
4283.92.133.208
4383.233.27.60
4485.12.2.57
45128.148.34.133
46129.33.12.41
47129.234.4.76
48130.179.29.151
49131.175.189.134
50137.155.211.15
51141.76.1.121
52141.76.1.122
53145.97.39.140
54152.163.100.198
55164.8.213.91
56192.42.113.248
57193.219.28.149
58194.25.9.105
59195.137.213.113
60195.169.149.213
61195.225.176.35
62205.218.67.14
63205.238.226.40
64207.150.167.67
65208.254.124.60
66209.114.99.138
67209.190.4.202
68209.221.193.39
69212.112.232.175
70212.112.235.78
71212.112.242.159
72212.218.64.68
73213.203.214.130
74213.239.194.175
75216.55.132.174
76216.127.68.137
77218.82.139.237
78220.161.154.90
79221.216.18.152

Mentioned in SAL (#wikimedia-operations) [2018-03-21T19:03:13Z] <anomie> Deleted some 12-year-old open proxy blocks to resolve T189840.

Anomie closed this task as Resolved.Mar 21 2018, 7:04 PM
Anomie claimed this task.
Teles added a subscriber: Teles.Mar 22 2018, 3:06 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM